Systemwechsel auf 3.37.x nicht möglich (*.apkx Datei fehlt)

Einrichtung, Nutzung und Hilfe zu RaspberryMatic (OCCU auf Raspberry Pi)

Moderatoren: jmaus, Co-Administratoren

justl82
Beiträge: 101
Registriert: 23.03.2015, 16:55
Wohnort: Dresden

Systemwechsel auf 3.37.x nicht möglich (*.apkx Datei fehlt)

Beitrag von justl82 » 30.09.2018, 11:34

Hallo, ich wollte heute nun endlich mal von meiner Alten 2.31.25.20180225 auf die 3.37.8.20180929 wechseln, was aber leiden nicht klappt. Ich habe auf der Alten ein Backup gemacht, dann habe ich eine neue SD-Karte erstellt mit der Version 3.37.8.20180929. Dann die neue Version gestartet, und wollte das Backup einspielen, vergebens. Unten habe ich ein Bild angehängt mit der Fehlermeldung. Hat irgendjemand eine Idee?

LG
Dateianhänge
Fehler.jpg

nicolas-eric
Beiträge: 3174
Registriert: 07.01.2015, 23:26
Wohnort: Scheeßel
Hat sich bedankt: 9 Mal
Danksagung erhalten: 5 Mal

Re: Systemwechsel nicht möglich

Beitrag von nicolas-eric » 30.09.2018, 11:45

Mal im abgesicherten Modus gestartet und das Backup probiert?

Benutzeravatar
jmaus
Beiträge: 5035
Registriert: 17.02.2015, 14:45
Wohnort: Dresden
Hat sich bedankt: 6 Mal
Danksagung erhalten: 80 Mal
Kontaktdaten:

Re: Systemwechsel nicht möglich

Beitrag von jmaus » 30.09.2018, 11:58

justl82 hat geschrieben:
30.09.2018, 11:34
Unten habe ich ein Bild angehängt mit der Fehlermeldung. Hat irgendjemand eine Idee?
Diese Fehlermeldung hatten bereits 1-2 Nutzer und das hat im engeren nichts mit RasperryMatic zu tun sondern tritt auch bei einer CCU3 auf. Die Ursache hierbei sind teilweise defekte HmIP Konfigurationsdateien die sich unter /etc/config/crRFD/data befinden. Wenn du keine bis wenige HmIP Geräte hast würde ich dir folgendes Prozedere empfehlen:
  1. Alle HmIP Geräte ablernen und werksresetten lassen
  2. Mit folgendem Befehl die HmIP Konfiguration löschen:

    Code: Alles auswählen

    rm -rf /etc/config/hmip_* /etc/config/crRFD/data
  3. Zentrale neustarten und testen ob das HmIP Anlernen prinzipiell funktioniert.
  4. Neues Backup erstellen
  5. Update auf 3.37.8 vornehmen
  6. Alle HmIP Geräte unter 3.78.8 wieder anlernen und ins System integrieren.
RaspberryMatic 3.47.18.20190918 @ TinkerS mit ~160 HomeMatic Geräten + ioBroker – GitHubPayPalTwitter

justl82
Beiträge: 101
Registriert: 23.03.2015, 16:55
Wohnort: Dresden

Re: Systemwechsel nicht möglich

Beitrag von justl82 » 01.10.2018, 13:18

@jmaus Nee echt jetzt, so einen Aufstand wegen den IP-Geräte. Naja da überlege ich es mir nochmal auf die neue Version zu gehen. Wenn mal Zeit ist werde ich mal versuchen. Trotzdem vielen Dank.

LG

Gerti
Beiträge: 1177
Registriert: 28.01.2016, 18:06
Hat sich bedankt: 2 Mal
Danksagung erhalten: 12 Mal

Re: Systemwechsel nicht möglich

Beitrag von Gerti » 01.10.2018, 16:38

Hi!

Schau einfach mal in dem /etc/config/crRFD/data Ordner, ob es dort Dateien gibt, die nicht mit einer Deiner IP Seriennummern übereinstimmen.
Eine davon wäre die Zentrale selbst, die andere könntest du löschen.

Gruß
Gerti

Mave
Beiträge: 8
Registriert: 23.05.2017, 07:51

Re: Systemwechsel auf 3.37.x nicht möglich (*.apkx Datei fehlt)

Beitrag von Mave » 03.10.2018, 08:44

Moin Jens,

ich habe dasselbe Problem. Update von 26.05. auf 29.09. schlägt fehl.

Gibt es noch einen eleganteren Workaround als alle HmIP Geräte abzulernen?

Vielen Dank.

nicolas-eric
Beiträge: 3174
Registriert: 07.01.2015, 23:26
Wohnort: Scheeßel
Hat sich bedankt: 9 Mal
Danksagung erhalten: 5 Mal

Re: Systemwechsel auf 3.37.x nicht möglich (*.apkx Datei fehlt)

Beitrag von nicolas-eric » 03.10.2018, 08:46

Ich hatte diese Meldung vor einigen Versionen auch.
Das hing bei mir scheinbar damit zusammen, dass nach einem FW Update von HMIP Geräten das Ab- und Anlernen der entsprechenden Geräte vergessen wurde.
Als ich das dann gemacht hatte, ging auch das Einspielen des Backups.

Benutzeravatar
jmaus
Beiträge: 5035
Registriert: 17.02.2015, 14:45
Wohnort: Dresden
Hat sich bedankt: 6 Mal
Danksagung erhalten: 80 Mal
Kontaktdaten:

Re: Systemwechsel auf 3.37.x nicht möglich (*.apkx Datei fehlt)

Beitrag von jmaus » 03.10.2018, 09:12

Mave hat geschrieben:
03.10.2018, 08:44
Gibt es noch einen eleganteren Workaround als alle HmIP Geräte abzulernen?
Gerti und nicolas haben ja bereits Hinweise darauf gegeben wie man das Problem vllt. auch noch lösen kann.
RaspberryMatic 3.47.18.20190918 @ TinkerS mit ~160 HomeMatic Geräten + ioBroker – GitHubPayPalTwitter

Mave
Beiträge: 8
Registriert: 23.05.2017, 07:51

Re: Systemwechsel auf 3.37.x nicht möglich (*.apkx Datei fehlt)

Beitrag von Mave » 03.10.2018, 11:21

Wenn ich alle HmIP Geräte entferne, bleiben im /data Ordner noch diese zwei Dateien übrig:

3014F711A061A7D7098E102D.ap
3014F711A061A7D7098E102D.apkx

Welche wird benötigt und welche kann ich löschen?

Vielen Dank.

Benutzeravatar
jmaus
Beiträge: 5035
Registriert: 17.02.2015, 14:45
Wohnort: Dresden
Hat sich bedankt: 6 Mal
Danksagung erhalten: 80 Mal
Kontaktdaten:

Re: Systemwechsel auf 3.37.x nicht möglich (*.apkx Datei fehlt)

Beitrag von jmaus » 03.10.2018, 11:39

Das sind die Dateien deines Funkmodules! D.h. Beide werden benötigt! Allerdings würde ich dir nun vorschlagen wie von mir bereits benannt (viewtopic.php?p=458673#p458003) vorzugehen. Und alle dateien in dem ordner zu löschen inkl. der hmip_* dateien und dann die HmIP Geräte erst wieder in der 3.37.x version anzulernen wenn du das backup dort ohne die HmIP Geräte eingespielt hast.
RaspberryMatic 3.47.18.20190918 @ TinkerS mit ~160 HomeMatic Geräten + ioBroker – GitHubPayPalTwitter

Antworten

Zurück zu „RaspberryMatic“